package com.fjhx.jpush.controller.jpush;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.fjhx.jpush.entity.jpush.dto.JpushInfoDto;
import com.fjhx.jpush.service.jpush.JpushInfoService;
import com.ruoyi.common.constant.BaseSourceConstant;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 极光推送用户与设备绑定信息 前端控制器
 * </p>
 *
 * @author
 * @since 2023-10-08
 */
@DS(BaseSourceConstant.BASE)
@RestController
@RequestMapping("/jPushInfo")
public class JpushInfoController {

    @Autowired
    private JpushInfoService jpushInfoService;

    /**
     * 极光推送用户与设备绑定信息绑定
     */
    @PostMapping("/userBinding")
    public void userBinding(@RequestBody JpushInfoDto jpushInfoDto) {
        jpushInfoService.userBinding(jpushInfoDto);
    }

    /**
     * 极光推送用户与设备绑定信息解绑
     */
    @PostMapping("/userUnBinding")
    public void userUnBinding(@RequestBody JpushInfoDto jpushInfoDto) {
        jpushInfoService.userUnBinding(jpushInfoDto);
    }

}
